QGIS Application - Bug report #8018
Sorting field order in Oracle data provider
2013-06-07 01:09 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Jurgen Fischer

Category: Data Provider/Oracle

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16864
Description

Loading tables: the order of the fields for selecting the PK is not always the same as in the table

Associated revisions

Revision 3d9d1eeb - 2013-06-08 01:24 AM - Jiirgen Fischer

postgresql & oracle provider fixes:

- start with an empty line edit when entering srids (fixes #8016)

- oracle provider: order primary key candidates in views by column id (fixes #8018)
- disable non-selectable entries and provide tooltips on why they are disabled

History

#1 - 2013-06-07 04:26 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"3d9d1eeb33de58135cd48c068131af28c8dc9189".
